GET /api/v3/place/{placeId}/digest/actual/monthly

Retrieves rolled-up actual billing data for a single place on a monthly basis

GetPlaceActualMonthlyV3 Permissions: BuildingsAndOrganizations (View)
Use this endpoint to get monthly actual billing summaries for a specific place. For organizations, data is rolled up from all child places. Includes cost, use, unit cost, target comparison, and commodity breakdown. For all places paginated, use GET /place/digest/actual/monthly instead.

Request Headers

Header Value Required Description
ECI-ApiKey string Yes Your API key. See Authentication.
Content-Type application/json Yes All requests must specify JSON content type.

Path Parameters

Name Description Type Required
placeId Unique numeric identifier of the place to retrieve data for integer (int32) Required

Query Parameters

Name Description Type Required
numberOfYears Number of years of monthly data to include. Defaults to 2 (24 months for actual/savings, 24-26 for calendarized/normalized). integer (int32) Optional

Responses

200 OK The request succeeded and the response body contains the requested data.

Response Body Parameters

PlaceDigestActualAndCalendarizedMonthlyResponse
Property Description Type
commodities An array of monthly data per commodity PlaceDigestActualAndCalendarizedMonthlyResponse+CommodityData[]
PlaceDigestActualAndCalendarizedMonthlyResponse+CommodityData properties
Property Description Type
commodityCategoryId The commodity category identifier integer (int32)
commodityCategoryInfo The commodity category name string
commodityCode The commodity code string
commodityId The commodity identifier integer (int32)
commodityInfo The commodity info string
commonDemandUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
commonUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
results An array of commodity monthly data PlaceDigestActualAndCalendarizedMonthlyResponse+CommodityResults[]
PlaceDigestActualAndCalendarizedMonthlyResponse+CommodityResults properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
commonDemand Common Demand number (double)
commonDemandUnitCost Common Demand Unit Cost number (double)
commonUse Common Use number (double)
commonUseUnitCost Common Use Unit Cost number (double)
cumulativeCommonUse Cumulative Common Use number (double)
cumulativeGlobalUse number (double)
cumulativeTotalCost Cumulative Total Cost number (double)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Global Use number (double)
globalUseUnitCost Global Use Unit Cost number (double)
periodName Calendar Period Name string
totalCost Total Cost number (double)
targetComparison PlaceDigestTargetComparisonMonthly
PlaceDigestTargetComparisonMonthly properties
Property Description Type
results Monthly Target Data PlaceDigestTargetComparisonMonthly+Results[]
PlaceDigestTargetComparisonMonthly+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
periodName Calendar Period Name string
totalCost Total Cost number (double)
targetLabel Target Label string
targetYear Target Year integer (int32)
costUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
globalUseUnit UnitChild
UnitChild properties
Property Description Type
unitCode The unit code string
unitId The unit identifier integer (int32)
unitInfo The unit info string
periodRange PeriodRange
PeriodRange properties
Property Description Type
endPeriod The end period for the range integer (int32)
startPeriod The start period for the range integer (int32)
placeCode The place code string
placeId The place identifier integer (int32)
placeInfo The place info string
results An array of monthly data PlaceDigestActualAndCalendarizedMonthlyResponse+Results[]
PlaceDigestActualAndCalendarizedMonthlyResponse+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
cumulativeGlobalUse Cumulative Use number (double)
cumulativeTotalCost Cumulative Total Cost number (double)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
globalUse Use number (double)
globalUseUnitCost Use Unit Cost number (double)
periodName Calendar Period Name string
totalCost Total Cost number (double)
targetComparison PlaceDigestTargetComparisonMonthly
PlaceDigestTargetComparisonMonthly properties
Property Description Type
results Monthly Target Data PlaceDigestTargetComparisonMonthly+Results[]
PlaceDigestTargetComparisonMonthly+Results properties
Property Description Type
calendarPeriod Calendar Period integer (int32)
calendarYear Calendar Year integer (int32)
fiscalPeriod Fiscal Period integer (int32)
fiscalYear Fiscal Year integer (int32)
periodName Calendar Period Name string
totalCost Total Cost number (double)
targetLabel Target Label string
targetYear Target Year integer (int32)
updated The date and time the data was updated string (date-time)
Example Response application/json
{  "commodities": [
    {    "commodityCategoryId": 1,    "commodityCategoryInfo": "string",    "commodityCode": "string",    "commodityId": 1,    "commodityInfo": "string",    "commonDemandUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "commonUseUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "costUnit": {      "unitCode": "string",      "unitId": 1,      "unitInfo": "string"
    },    "results": [
      {      "calendarPeriod": 1,      "calendarYear": 1,      "commonDemand": 1.0,      "commonDemandUnitCost": 1.0,      "commonUse": 1.0,      "commonUseUnitCost": 1.0,      "cumulativeCommonUse": 1.0,      "cumulativeGlobalUse": 1.0,      "cumulativeTotalCost": 1.0,      "fiscalPeriod": 1,      "fiscalYear": 1,      "globalUse": 1.0,      "globalUseUnitCost": 1.0,      "periodName": "string",      "totalCost": 1.0
    }
    ],    "targetComparison": {      "results": [],      "targetLabel": "string",      "targetYear": 1
    }
  }
  ],  "costUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "globalUseUnit": {    "unitCode": "string",    "unitId": 1,    "unitInfo": "string"
  },  "periodRange": {    "endPeriod": 1,    "startPeriod": 1
  },  "placeCode": "string",  "placeId": 1,  "placeInfo": "string",  "results": [
    {    "calendarPeriod": 1,    "calendarYear": 1,    "cumulativeGlobalUse": 1.0,    "cumulativeTotalCost": 1.0,    "fiscalPeriod": 1,    "fiscalYear": 1,    "globalUse": 1.0,    "globalUseUnitCost": 1.0,    "periodName": "string",    "totalCost": 1.0
  }
  ],  "targetComparison": {    "results": [
      {      "calendarPeriod": 1,      "calendarYear": 1,      "fiscalPeriod": 1,      "fiscalYear": 1,      "periodName": "string",      "totalCost": 1.0
    }
    ],    "targetLabel": "string",    "targetYear": 1
  },  "updated": "2026-06-29"
}
204 No Content The request succeeded. No content is returned in the response body.